Skip to main content
GET
/
api
/
v2
/
creators
/
search
Search creators (free)
curl --request GET \
  --url https://www.topyappers.com/api/v2/creators/search \
  --header 'x-ty-api-key: <api-key>'
{
  "message": "OK",
  "response": {
    "data": [
      "instagram_57971538386",
      "instagram_58848167468"
    ],
    "page": 1,
    "next_page": 0,
    "total_pages": 10000
  },
  "params": {
    "page": 1,
    "perPage": 10
  }
}

Authorizations

x-ty-api-key
string
header
required

API key for TopYappers API authentication

Query Parameters

followersMin
integer

Minimum number of followers

followersMax
integer

Maximum number of followers

averageViewsMin
integer

Minimum average views per post

averageViewsMax
integer

Maximum average views per post

averageLikesMin
integer

Minimum average likes per post

averageLikesMax
integer

Maximum average likes per post

engagementRateMin
number<float>

Minimum engagement rate (percentage). 1-3% average, 3-6% good, 6%+ excellent

engagementRateMax
number<float>

Maximum engagement rate (percentage)

age
enum<string>

Age group (comma-separated for multiple)

Available options:
0-9,
10-19,
20-29,
30-39,
40-49,
50-59,
60-69,
70-79,
80-89,
90-99
gender
enum<string>

Gender filter

Available options:
male,
female
race
enum<string>

Ethnicity filter (comma-separated for multiple)

Available options:
White,
Black,
Indian,
East Asian,
Southeast Asian,
Middle Eastern,
Latino Hispanic
hairColor
enum<string>

Hair color filter (comma-separated for multiple)

Available options:
Blonde hair,
Brunette hair,
Black hair,
Red hair,
White hair
bodyComplexion
enum<string>

Body type / build filter (comma-separated for multiple)

Available options:
Skinny,
Ordinary,
Overweight,
Hulk
mainCategory
enum<string>

Main content category

Available options:
Arts,
Automotive,
Beauty & Personal Care,
Books & Literature,
Business,
Finance,
Career & Jobs,
Collectibles & Hobbies,
Community,
Ecommerce,
Crafts & DIY,
Culture,
Education,
Technology,
Entertainment,
Environment,
Family,
Parenting,
Fashion,
Film,
Fitness,
Health,
Food,
Gaming,
Gardening & Agriculture,
History,
Home,
Humor,
Law,
Government,
Lifestyle,
Marketing,
Mental Health,
Music,
News & Media,
Outdoors,
Nature,
Pets,
Animals,
Philosophy,
Spirituality,
Photography,
Videography,
Politics,
Relationships,
Religion,
Science,
Self-Improvement,
Shopping,
Social Media,
Social Issues & Activism,
Sports,
Travel,
Vehicles & Transportation,
Virtual Reality,
Weapons & Defense,
Writing,
Kids
subCategory
string

Sub-category of content (free text search)

bio
string

Keywords in creator's bio

promotedProducts
string

Products/services promoted by the creator (comma-separated for multiple)

nichesToPromote
string

Suggested niches to promote (comma-separated for multiple)

country
string

Creator's country (full name)

source
enum<string>

Platform / data source

Available options:
tiktok,
instagram,
youtube
accountType
enum<string>

Creator account type

Available options:
faceless,
ugc,
agc,
clipper,
brand
username
string

Filter creators by their handle

language
enum<string>

Primary content language (lowercase)

Available options:
arabic,
bengali,
bosnian,
bulgarian,
cantonese,
catalan,
croatian,
czech,
danish,
dutch,
english,
estonian,
filipino,
finnish,
french,
german,
greek,
gujarati,
hausa,
hebrew,
hindi,
hungarian,
icelandic,
indonesian,
italian,
japanese,
javanese,
kannada,
kazakh,
korean,
latvian,
lithuanian,
malay,
malayalam,
mandarin,
marathi,
nepali,
norwegian,
pashto,
persian,
polish,
portuguese,
punjabi,
romanian,
russian,
serbian,
sinhala,
slovak,
slovenian,
somali,
spanish,
swahili,
swedish,
tamil,
telugu,
thai,
turkish,
ukrainian,
urdu,
uzbek,
vietnamese,
yoruba
hashtags
string

Filter by hashtags used in creator content (comma-separated). AND matching — all must be present. '#' prefix is optional

emailExists
boolean

Filter creators with available email

email
string<email>

Find creator by email

sortBy
enum<string>

Field to sort results by. Default: date_created (newest first)

Available options:
date_created,
followers,
engagement_rate,
avg_views,
avg_likes,
avg_comments
sortOrder
enum<string>

Sort direction. Default: desc (highest/newest first)

Available options:
asc,
desc
page
integer

Page number for pagination

Required range: x >= 1
perPage
integer

Number of results per page (max 100)

Required range: 1 <= x <= 100

Response

Search response with userIds

message
string
required
Example:

"OK"

response
object
required
params
object